void sys_memory_available ()
{
  return (free > total / 16) ? 1 : 0,
  {
    total = (int64) sys_info (&_, -_, QSV_PHYS_MEM_TOTAL),
    free  = (int64) sys_info (&_, -_, QSV_PHYS_MEM_AVAILABLE)
  };
}